export declare const SCREENSHOT_PADDING_WITH = 4;
export declare const FRAME_REGEX: RegExp;
export declare const SUPPORTED_VIDEO_FORMATS: {
    readonly mp4: {
        readonly fileExtension: "mp4";
        readonly contentType: "video/mp4";
        readonly vcodec: "libx264";
    };
    readonly webm: {
        readonly fileExtension: "webm";
        readonly contentType: "video/webm";
        readonly vcodec: "libvpx-vp9";
    };
    readonly default: {
        readonly fileExtension: "mp4";
        readonly contentType: "video/mp4";
        readonly vcodec: "libx264";
    };
};
export declare const DEFAULT_OPTIONS: {
    readonly videoRenderTimeout: 5000;
    readonly rawPath: ".video-reporter-screenshots";
    readonly saveAllVideos: false;
    readonly videoSlowdownMultiplier: 3;
    readonly videoScale: "1200:trunc(ow/a/2)*2";
    readonly maxTestNameCharacters: 250;
    readonly videoFormat: "webm";
    readonly excludedActions: readonly [];
    readonly snapshotCommands: readonly ["url", "forward", "back", "refresh", "execute", "sync", "size", "position", "maximize", "click", "submit", "value", "keys", "clear", "selected", "enabled", "displayed", "orientation", "alert_text", "accept_alert", "dismiss_alert", "moveto", "buttondown", "buttonup", "doubleclick", "down", "up", "move", "scroll", "doubleclick", "longclick", "flick", "location", "actions"];
    readonly recordAllActions: false;
    readonly onlyRecordLastFailure: false;
    readonly screenshotIntervalSecs: 0;
};
export declare const TO_LOCAL_STRING_OPTIONS: {
    readonly year: "numeric";
    readonly month: "2-digit";
    readonly day: "2-digit";
    readonly hour: "2-digit";
    readonly minute: "2-digit";
    readonly second: "2-digit";
    readonly hour12: false;
};
//# sourceMappingURL=constants.d.ts.map