import type { VideoFileExtension } from './types.js';
export declare function sleep(ms: number): void;
export declare function generateFilename(maxTestNameCharacters: number, browserName: string, fullName: string): string;
export declare function getVideoPath(outputDir: string, testName: string, ext: VideoFileExtension): string;
export declare function getVideoFormatSettings(videoFormat: VideoFileExtension): {
    readonly fileExtension: "mp4";
    readonly contentType: "video/mp4";
    readonly vcodec: "libx264";
} | {
    readonly fileExtension: "webm";
    readonly contentType: "video/webm";
    readonly vcodec: "libvpx-vp9";
} | {
    readonly fileExtension: "mp4";
    readonly contentType: "video/mp4";
    readonly vcodec: "libx264";
};
export declare function waitForVideosToExist(videos: string[], abortTime: number, sleepFn?: typeof sleep): boolean;
export declare function waitForVideosToBeWritten(videos: string[], abortTime: number, sleepFn?: typeof sleep): boolean;
export declare function getCurrentCapabilities(browser: WebdriverIO.Browser): WebdriverIO.Capabilities;
export declare function pad(frameNumber: number): string;
//# sourceMappingURL=helpers.d.ts.map